Groovy 1.7.10

## org.codehaus.groovy.classgen
[Java] Class MethodCallerMultiAdapter

    java.lang.Object
      org.codehaus.groovy.classgen.MethodCallerMultiAdapter

    public class MethodCallerMultiAdapter
    extends Object

Field Summary
`static int` | `MAX_ARGS`

Method Summary
`void` | `call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)` @param methodVisitor
`static MethodCallerMultiAdapter` | `newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Field Detail

### MAX_ARGS

    public static final int MAX_ARGS

Method Detail

### call

    public void call(org.objectweb.asm.MethodVisitor methodVisitor, int numberOfArguments, boolean safe, boolean spreadSafe)

  Parameters:
    methodVisitor
    `numberOfArguments` - a value >0 describing how many arguments are additionally used for the method call
    safe
    spreadSafe

### newStatic

    public static MethodCallerMultiAdapter newStatic(Class theClass, String baseName, boolean createNArgs, boolean skipSpreadSafeAndSafe)

Copyright © 2003-2010 The Codehaus. All rights reserved.